# Общее контрольное задание по теме 2
# Турханов Артем, А-03-23

import keyword

# Задание 1
familia = 'Turkhanov'

# Задание 2
c = familia[0]

# Задание 3
sp_kw = keyword.kwlist

# Задание 4
print('Список ключевых слов: ', sp_kw)
sp_kw.remove('nonlocal')
print('Список ключевых слов без nonlocal: ', sp_kw)

# Задание 5
kort_nam = ('Артем', 'Илья', 'Дима', 'Даня')
print('Класс (тип) данных созданноого кортежа: ',type(kort_nam))

# Задание 6
print('Исходный кортеж: ', kort_nam)
kort_nam = kort_nam + ('Макс', 'Саша')
print('Измененный кортеж: ', kort_nam)

# Задание 7
print('Количество студентов с именем Дима: ',kort_nam.count('Дима'))

# Задание 8
dict_bas = {'Строка': familia, 'Список': sp_kw, 'Кортеж': kort_nam}
print('Словарь: ', dict_bas)
